/********************************************************************************************************
* PROGRAM      : FreeGo4
* DATE - TIME  : dimanche 01 octobre 2006 - 16h01
* AUTHOR       : Azevedo Filipe aka Nox PasNox ( pasnox at gmail dot com )
* FILENAME     : UIWifiRooter.h
* LICENSE      : GPL
* COMMENTARY   : 
********************************************************************************************************/
#ifndef UIWIFIROOTER_H
#define UIWIFIROOTER_H

#include "ui_UIWifiRooter.h"

#include <QPointer>

class QSettings;

class UIWifiRooter : public fgDialog, public Ui::UIWifiRooter
{
	Q_OBJECT

public:
	static UIWifiRooter* self( QWidget* = 0 );

private:
	UIWifiRooter( QWidget* = 0 );
	static QPointer<UIWifiRooter> mSelf;

protected slots:
	void fgMenu_clicked( int );
	void readLogin( QSettings* settings, bool error );
	void fgSaveRooter();
	void requestRooter( const QByteArray& buffer, bool error );
	void readRooter( const QByteArray& buffer, bool error );
	void fgSaveWifi();
	void requestWifi( const QByteArray& buffer, bool error );
	void readWifi( const QByteArray& buffer, bool error );
	void setIp3( const QString& value );
	void on_fgGenerateKey_clicked();
};

#endif // UIWIFIROOTER_H
